Skip to content

Results are limited to the current section: Cloud services

Product news

Add Jobs

POST
/api/v2/batches/{batch_id}/jobs

Add additional jobs to an existing batch that has not yet been completed.

Each job specifies variable assignments for the batch’s parametrized sequence, or provides its own sequence via the sequence field. The batch must still be open (not completed or canceled). The project will be billed for each added job.

Returns: The updated batch with the newly added jobs.

batch_id
required
Batch Id
string format: uuid
New Jobs
Array<object>
CreateJobSchema

Schema to create a job within a batch.

object
runs
Runs

Number of times the pulse sequence is repeated.

integer
variables
Variables

Variable assignments for a parametrized sequence. Mutually exclusive with sequence.

object
sequence
Sequence

Serialized Pulser sequence for this specific job. Mutually exclusive with variables. Required if no batch-level sequence_builder is provided.

string

Successful Response

NonPaginatedResponse[ProducedBatchWithPartialJobsResponse]
object
data
ProducedBatchWithPartialJobsResponse

Response for a batch request which includes its jobs data but without the results.

This schema defines all the fields that can be publicly shared by the API.

object
id
required
Id

Unique identifier for the batch.

string format: uuid
parent_id
required
Parent Id

ID of the parent batch if created from a retry.

string format: uuid
status
required

Current batch status.

string
Allowed values: PENDING RUNNING DONE CANCELED CANCELING TIMED_OUT ERROR PAUSED
complete
required
Complete

Deprecated. Use open instead. Indicates whether the batch is still accepting additional jobs. False means the batch is open; True means it is closed.

boolean
open
required
Open

Whether the batch is open and accepting additional jobs.

boolean
priority
required
Priority

Deprecated. Priority of the batch.

integer
device_type
required
Device Type

Target device type for the batch.

string
user_id
required
User Id

ID of the user who created the batch.

string
project_id
required
Project Id

ID of the project this batch belongs to.

string format: uuid
created_at
required
Created At

Timestamp when the batch was created.

string format: date-time
updated_at
required
Updated At

Timestamp of the last batch update.

string format: date-time
sequence_builder
required
Sequence Builder

Serialized Pulser sequence shared by all jobs.

string
jobs_count
required
Jobs Count

Total number of jobs in the batch.

integer
jobs_count_per_status
required
Jobs Count Per Status

Number of jobs grouped by status.

object
tags
required
Tags

User-defined labels for organizing batches.

Array<string>
unique items
configuration
required
Configuration

Deprecated. Use backend_configuration. Extra configuration for job execution.

object
backend_configuration
required
Backend Configuration

Serialized emulator backend configuration.

string
webhook
required
Webhook

URL where job results are sent via webhook.

string
start_datetime
required
Start Datetime

Timestamp when processing started on hardware.

string format: date-time
end_datetime
required
End Datetime

Timestamp when processing finished, errored, or was canceled.

string format: date-time
jobs
required
Jobs

Jobs in the batch (without result payloads).

Array<object>
ProducedPartialJobResponse

Response to a request for a job.

This schema defines all the fields that can be publicly shared by the API and do not require significant computational resources. For example, ‘logs_links’ or ‘results link’.

object
id
required
Id

Unique identifier for the job.

string format: uuid
parent_id
required
Parent Id

ID of the original job if created from a retry (rebatch).

string format: uuid
status
required

Current job status.

string
Allowed values: PENDING RUNNING DONE ERROR CANCELED CANCELING
runs
required
Runs

Number of times the pulse sequence is repeated.

integer
batch_id
required
Batch Id

ID of the batch this job belongs to.

string format: uuid
project_id
required
Project Id

ID of the project this job belongs to.

string format: uuid
created_at
required
Created At

Timestamp when the job was created.

string format: date-time
updated_at
required
Updated At

Timestamp of the last job update.

string format: date-time
start_timestamp
required
Start Timestamp

Timestamp when the QPU or emulator started processing.

string format: date-time
end_timestamp
required
End Timestamp

Timestamp when the QPU or emulator finished, errored, or canceled the job.

string format: date-time
variables
required
Variables

Variable assignments used to build the pulse sequence.

object
errors
required
Errors

Errors returned during job execution.

Array<string>
progress
required
Progress

Job progress percentage (0-100).

integer
<= 100
sequence
required
Sequence

The built pulse sequence for the job.

string
creation_order
required
Creation Order

Position in the creation order within the batch.

integer
Example
{
"id": "00000000-0000-0000-0000-000000000003",
"status": "DONE",
"runs": 100,
"batch_id": "00000000-0000-0000-0000-000000000002",
"project_id": "00000000-0000-0000-0000-000000000001",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:35:00Z",
"start_timestamp": "2025-01-15T10:31:00Z",
"end_timestamp": "2025-01-15T10:35:00Z",
"variables": {
"omega": 5
},
"progress": 100,
"creation_order": 1
}
queue_priority
required

Priority queue on which the batch is scheduled.

string
Allowed values: CRITICAL HIGH MEDIUM LOW FREE
Example
{
"id": "00000000-0000-0000-0000-000000000002",
"status": "PENDING",
"complete": false,
"open": true,
"priority": 0,
"device_type": "FRESNEL",
"user_id": "user-123",
"project_id": "00000000-0000-0000-0000-000000000001",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z",
"sequence_builder": "<serialized Pulser sequence>",
"jobs_count": 1,
"jobs_count_per_status": {
"PENDING": 1
},
"tags": [],
"jobs": [
{
"id": "00000000-0000-0000-0000-000000000003",
"status": "PENDING",
"runs": 100,
"batch_id": "00000000-0000-0000-0000-000000000002",
"project_id": "00000000-0000-0000-0000-000000000001",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z",
"variables": {
"omega": 5
},
"progress": 0,
"creation_order": 0
}
],
"queue_priority": "MEDIUM"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string